Package fr.gouv.vitam.storage.engine.common.model

# Class TapeCatalog

java.lang.Object
fr.gouv.vitam.storage.engine.common.model.QueueMessageEntity
fr.gouv.vitam.storage.engine.common.model.TapeCatalog

public class TapeCatalog extends QueueMessageEntity
TapeCatalog

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ALTERNATIVE_CODE`
  `static final String`
  `BUCKET`
  `static final String`
  `CAPACITY`
  `static final String`
  `CODE`
  `static final String`
  `COMPRESSED`
  `static final String`
  `CURRENT_LOCATION`
  `static final String`
  `FILE_COUNT`
  `static final String`
  `LABEL`
  `static final String`
  `LIBRARY`
  `static final String`
  `PREVIOUS_LOCATION`
  `static final String`
  `TAPE_STATE`
  `static final String`
  `TYPE`
  `static final String`
  `VERSION`
  `static final String`
  `WORM`
  `static final String`
  `WRITTEN_BYTES`

  ### Fields inherited from class fr.gouv.vitam.storage.engine.common.model.QueueMessageEntity

  `ID, MESSAGE_TYPE, PRIORITY, STATE, TAG_CREATION_DATE, TAG_LAST_UPDATE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TapeCatalog()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAlternativeCode()`
  `String`
  `getBucket()`
  `Long`
  `getCapacity()`
  `String`
  `getCode()`
  `TapeLocation`
  `getCurrentLocation()`
  `Integer`
  `getCurrentPosition()`
  `Integer`
  `getFileCount()`
  `TapeCatalogLabel`
  `getLabel()`
  `String`
  `getLibrary()`
  `TapeLocation`
  `getPreviousLocation()`
  `TapeState`
  `getTapeState()`
  `String`
  `getType()`
  `int`
  `getVersion()`
  `Long`
  `getWrittenBytes()`
  `boolean`
  `isCompressed()`
  `boolean`
  `isWorm()`
  `TapeCatalog`
  `setAlternativeCode(String alternativeCode)`
  `TapeCatalog`
  `setBucket(String bucket)`
  `TapeCatalog`
  `setCapacity(Long capacity)`
  `TapeCatalog`
  `setCode(String code)`
  `TapeCatalog`
  `setCompressed(boolean compressed)`
  `TapeCatalog`
  `setCurrentLocation(TapeLocation currentLocation)`
  `TapeCatalog`
  `setCurrentPosition(Integer currentPosition)`
  `TapeCatalog`
  `setFileCount(Integer fileCount)`
  `TapeCatalog`
  `setLabel(TapeCatalogLabel label)`
  `TapeCatalog`
  `setLibrary(String library)`
  `TapeCatalog`
  `setPreviousLocation(TapeLocation previousLocation)`
  `TapeCatalog`
  `setTapeState(TapeState tapeState)`
  `TapeCatalog`
  `setType(String type)`
  `TapeCatalog`
  `setVersion(int version)`
  `TapeCatalog`
  `setWorm(boolean worm)`
  `TapeCatalog`
  `setWrittenBytes(Long writtenBytes)`

  ### Methods inherited from class fr.gouv.vitam.storage.engine.common.model.QueueMessageEntity

  `getCreated, getId, getLastUpdate, getMessageType, getPriority, getState, setCreated, setId, setLastUpdate, setMessageType, setPriority, setState`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CODE

    public static final String CODE
    See Also:
      - Constant Field Values

  - ### ALTERNATIVE_CODE

    public static final String ALTERNATIVE_CODE
    See Also:
      - Constant Field Values

  - ### BUCKET

    public static final String BUCKET
    See Also:
      - Constant Field Values

  - ### LABEL

    public static final String LABEL
    See Also:
      - Constant Field Values

  - ### LIBRARY

    public static final String LIBRARY
    See Also:
      - Constant Field Values

  - ### TYPE

    public static final String TYPE
    See Also:
      - Constant Field Values

  - ### CAPACITY

    public static final String CAPACITY
    See Also:
      - Constant Field Values

  - ### FILE_COUNT

    public static final String FILE_COUNT
    See Also:
      - Constant Field Values

  - ### CURRENT_LOCATION

    public static final String CURRENT_LOCATION
    See Also:
      - Constant Field Values

  - ### PREVIOUS_LOCATION

    public static final String PREVIOUS_LOCATION
    See Also:
      - Constant Field Values

  - ### COMPRESSED

    public static final String COMPRESSED
    See Also:
      - Constant Field Values

  - ### WORM

    public static final String WORM
    See Also:
      - Constant Field Values

  - ### VERSION

    public static final String VERSION
    See Also:
      - Constant Field Values

  - ### WRITTEN_BYTES

    public static final String WRITTEN_BYTES
    See Also:
      - Constant Field Values

  - ### TAPE_STATE

    public static final String TAPE_STATE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TapeCatalog

    public TapeCatalog()

- ## Method Details

  - ### getCode

    public String getCode()

  - ### setCode

    public TapeCatalog setCode(String code)

  - ### getLabel

    public TapeCatalogLabel getLabel()

  - ### setLabel

    public TapeCatalog setLabel(TapeCatalogLabel label)

  - ### getLibrary

    public String getLibrary()

  - ### setLibrary

    public TapeCatalog setLibrary(String library)

  - ### getType

    public String getType()

  - ### setType

    public TapeCatalog setType(String type)

  - ### getWrittenBytes

    public Long getWrittenBytes()

  - ### setWrittenBytes

    public TapeCatalog setWrittenBytes(Long writtenBytes)

  - ### getTapeState

    public TapeState getTapeState()

  - ### setTapeState

    public TapeCatalog setTapeState(TapeState tapeState)

  - ### getCapacity

    public Long getCapacity()

  - ### setCapacity

    public TapeCatalog setCapacity(Long capacity)

  - ### getFileCount

    public Integer getFileCount()

  - ### setFileCount

    public TapeCatalog setFileCount(Integer fileCount)

  - ### getCurrentLocation

    public TapeLocation getCurrentLocation()

  - ### setCurrentLocation

    public TapeCatalog setCurrentLocation(TapeLocation currentLocation)

  - ### getPreviousLocation

    public TapeLocation getPreviousLocation()

  - ### setPreviousLocation

    public TapeCatalog setPreviousLocation(TapeLocation previousLocation)

  - ### isCompressed

    public boolean isCompressed()

  - ### setCompressed

    public TapeCatalog setCompressed(boolean compressed)

  - ### isWorm

    public boolean isWorm()

  - ### setWorm

    public TapeCatalog setWorm(boolean worm)

  - ### getVersion

    public int getVersion()

  - ### setVersion

    public TapeCatalog setVersion(int version)

  - ### getAlternativeCode

    public String getAlternativeCode()

  - ### setAlternativeCode

    public TapeCatalog setAlternativeCode(String alternativeCode)

  - ### getBucket

    public String getBucket()

  - ### setBucket

    public TapeCatalog setBucket(String bucket)

  - ### getCurrentPosition

    public Integer getCurrentPosition()

  - ### setCurrentPosition

    public TapeCatalog setCurrentPosition(Integer currentPosition)